## org.eclipse.m2m.qvt.oml.debug.core.vm
Class UnitManager

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.UnitManager

    public class UnitManager

extends java.lang.Object

Method Summary
`org.eclipse.m2m.internal.qvt.oml.compiler.CompiledUnit` `findUnitForModule(Module module)`
`org.eclipse.m2m.internal.qvt.oml.compiler.CompiledUnit` `getCompiledModule(URI unitURI)`
`LineNumberProvider` `getLineNumberProvider(URI unitURI)`
`org.eclipse.m2m.internal.qvt.oml.compiler.CompiledUnit` `getMainUnit()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMainUnit

    public org.eclipse.m2m.internal.qvt.oml.compiler.CompiledUnit getMainUnit()

### getCompiledModule

    public org.eclipse.m2m.internal.qvt.oml.compiler.CompiledUnit getCompiledModule(URI unitURI)

### getLineNumberProvider

    public LineNumberProvider getLineNumberProvider(URI unitURI)

### findUnitForModule

    public org.eclipse.m2m.internal.qvt.oml.compiler.CompiledUnit findUnitForModule(Module module)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.